Utilizzando le API di Facebook così come altre applicazioni, può accadere di imbatterci in questo messaggio di errore:

Facebook needs the CURL PHP extension

Il problema nasce dal fatto che per molte delle sue API, Facebook ha necessità di comunicare con il nostro server utilizzando le cURL. In soldoni, queste danno la possibilità di trasferire dati attraverso la sintassi delle Url.

Se ci siamo imbattuti in questo problema, vuol dire che il nostro server non ha le cUrl istallate. In ambienti Debian sarà sufficiente accedere al nostro server e installare con:
apt-get install php5-curl

services apache2 restart

Nel caso in cui stessimo ancora utilizzando php4 basterà sostituire il nome del pacchetto con php4-curl

Hai bisogno di una consulenza o assistenza?
Apri un ticket di richiesta, ti risponderò in brevissimo tempo! Chiedere non costa nulla 😉

Lascia un commento